CVE-2021-20304

NameCVE-2021-20304
DescriptionUndefined-shift in Imf_2_5::hufDecode
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
openexr (PTS)stretch2.2.0-11vulnerable
stretch (security)2.2.0-11+deb9u3vulnerable
buster, buster (security)2.2.1-4.1+deb10u1vulnerable
bullseye, sid2.5.4-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
openexrsource(unstable)2.5.4-1unimportant

Notes

https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=26229
https://github.com/AcademySoftwareFoundation/openexr/commit/51a92d67f53c08230734e74564c807043cbfe41e
https://github.com/AcademySoftwareFoundation/openexr/pull/849
Negligible security impact

Search for package or bug name: Reporting problems